Help - Search - Members - Calendar
Full Version: Blackdown 1.3.1 Jre
OESF Forums > Distros, Development, and Model Specific Forums > Everything Development > Personal Java/Jeode/J2ME Personal Profile
johnw
I'm trying to get the Blackdown 1.3.1 JRE to run, and when I issue the "java -version" command it complains about not finding libhpi.so. Anyone know about this? Where can I find the library for my Z6k ?
ayyrk
I'd really like to hear how you make out. I'm running this on the Sharp ROM:

CODE
J9 - VM for the Java(TM) platform, Version 2.2
(c) Copyright IBM Corp. 1991, 2004  All Rights Reserved
Target: 20040706_1501_lHdFMq (Linux 2.4.18-rmk7-pxa3-embedix arm)


My problem is log4j (used by JXTA).

I assume you are running GPE in order to try the Blackdown JRE. As I understand it, the Blackdown JRE requires an X server and GPE is based on X.

Bottom line: I'd like to get Blackdown's JRE 1.3.1 or better running on the Zaurus hardware. I'll use whatever ROM image supports it.
smuelas
I've tried many times to get jre-1.3.1 running on the 6000 with no succes. I think the problem is related to some odd fonts or libraries for fonts. Anyway, it seems impossible to launch it. In my humble opinion, the problem is not related with the 6000 specificaly. It seems like the version, based on the horrible C compiler from RedHat, 2.96, needs the old "libstdc++" not used anymore. What is almost incredible is that SUN continues to compile their last JDK's based on RedHat, instead of the free GNU serious compilers.!!!
An alternative to your problem is to use the complete jdk-118 plus the almost complete Swing that you can download for free from the Zaurus Software site. I have a couple of shots in the web-page corresponding to Debian over Xqt where you can see an example of a quite sofisticated software.
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.